| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Public Member Functions | Static Public Member Functions | List of all members
Ogre::CgFxScriptLoader Class Reference
Plugins » CgProgramManager

Manages Overlay objects, parsing them from .overlay files and storing a lookup library of them. More...

`#include <OgreCgFxScriptLoader.h>`

Inheritance diagram for Ogre::CgFxScriptLoader:
[legend]

## Public Member Functions
| CgFxScriptLoader ()
virtual | ~CgFxScriptLoader ()
Real | getLoadingOrder (void) const
| Gets the relative loading order of scripts of this type. More...
const StringVector & | getScriptPatterns (void) const
| Gets the file patterns which should be used to find scripts for this class. More...
void | parseScript (DataStreamPtr &stream, const String &groupName)
| Parse a script file. More...

## Static Public Member Functions
static CgFxScriptLoader & | getSingleton (void)
| Get the singleton instance. More...
static CgFxScriptLoader * | getSingletonPtr (void)
| Get the singleton instance. More...

## Detailed Description

Manages Overlay objects, parsing them from .overlay files and storing a lookup library of them.

Alo manages the creation of OverlayContainers and OverlayElements, used for non-interactive 2D elements such as HUDs.

## Constructor & Destructor Documentation

## ◆ CgFxScriptLoader()

Ogre::CgFxScriptLoader::CgFxScriptLoader | ( |  | ) |

## ◆ ~CgFxScriptLoader()

virtual Ogre::CgFxScriptLoader::~CgFxScriptLoader | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ getScriptPatterns()

const StringVector& Ogre::CgFxScriptLoader::getScriptPatterns | ( | void |  | ) | const
| virtual

Gets the file patterns which should be used to find scripts for this class.

Remarks
  This method is called when a resource group is loaded if you use ResourceGroupManager::_registerScriptLoader.

Returns
  A list of file patterns, in the order they should be searched in.

Implements Ogre::ScriptLoader.

## ◆ parseScript()

void Ogre::CgFxScriptLoader::parseScript | ( | DataStreamPtr & | stream,
|  | const String & | groupName
| ) |  |
| virtual

Parse a script file.

Parameters

  stream | Weak reference to a data stream which is the source of the script
  groupName | The name of a resource group which should be used if any resources are created during the parse of this script.

Implements Ogre::ScriptLoader.

## ◆ getLoadingOrder()

Real Ogre::CgFxScriptLoader::getLoadingOrder | ( | void |  | ) | const
| virtual

Gets the relative loading order of scripts of this type.

Remarks
  There are dependencies between some kinds of scripts, and to enforce this all implementors of this interface must define a loading order.

Returns
  A value representing the relative loading order of these scripts compared to other script users, where higher values load later.

Implements Ogre::ScriptLoader.

## ◆ getSingleton()

static CgFxScriptLoader& Ogre::CgFxScriptLoader::getSingleton | ( | void |  | ) |
| static

Get the singleton instance.

## ◆ getSingletonPtr()

static CgFxScriptLoader* Ogre::CgFxScriptLoader::getSingletonPtr | ( | void |  | ) |
| static

Get the singleton instance.

The documentation for this class was generated from the following file:

- OgreCgFxScriptLoader.h